org.kie.internal.fluent.task

## Interface TaskFluent<T>

-     public interface TaskFluent<T>

  See `TaskService`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `activate(long taskId, String userId)`
    `T` | `addTask(org.kie.api.task.model.Task task, Map<String,Object> params)`
    `T` | `claim(long taskId, String userId)`
    `T` | `claimNextAvailable(String userId, String language)`
    `T` | `complete(long taskId, String userId, Map<String,Object> data)`
    `T` | `delegate(long taskId, String userId, String targetUserId)`
    `T` | `exit(long taskId, String userId)`
    `T` | `fail(long taskId, String userId, Map<String,Object> faultData)`
    `T` | `forward(long taskId, String userId, String targetEntityId)`
    `T` | `getAttachmentById(long attachId)`
    `T` | `getContentById(long contentId)`
    `T` | `getTaskById(long taskId)`
    `T` | `getTaskByWorkItemId(long workItemId)`
    `T` | `getTasksAssignedAsBusinessAdministrator(String userId, String language)`
    `T` | `getTasksAssignedAsPotentialOwner(String userId, String language)`
    `T` | `getTasksAssignedAsPotentialOwnerByStatus(String userId, List<org.kie.api.task.model.Status> status, String language)`
    `T` | `getTasksByProcessInstanceId(long processInstanceId)`
    `T` | `getTasksByStatusByProcessInstanceId(long processInstanceId, List<org.kie.api.task.model.Status> status, String language)`
    `T` | `getTasksOwned(String userId, String language)`
    `T` | `getTasksOwnedByStatus(String userId, List<org.kie.api.task.model.Status> status, String language)`
    `T` | `nominate(long taskId, String userId, List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)`
    `T` | `release(long taskId, String userId)`
    `T` | `resume(long taskId, String userId)`
    `T` | `skip(long taskId, String userId)`
    `T` | `start(long taskId, String userId)`
    `T` | `stop(long taskId, String userId)`
    `T` | `suspend(long taskId, String userId)`

- - ### Method Detail

    - #### activate

          T activate(long taskId,
                     String userId)

    - #### claim

          T claim(long taskId,
                  String userId)

    - #### claimNextAvailable

          T claimNextAvailable(String userId,
                               String language)

    - #### complete

          T complete(long taskId,
                     String userId,
                     Map<String,Object> data)

    - #### delegate

          T delegate(long taskId,
                     String userId,
                     String targetUserId)

    - #### exit

          T exit(long taskId,
                 String userId)

    - #### fail

          T fail(long taskId,
                 String userId,
                 Map<String,Object> faultData)

    - #### forward

          T forward(long taskId,
                    String userId,
                    String targetEntityId)

    - #### getTaskByWorkItemId

          T getTaskByWorkItemId(long workItemId)

    - #### getTaskById

          T getTaskById(long taskId)

    - #### getTasksAssignedAsBusinessAdministrator

          T getTasksAssignedAsBusinessAdministrator(String userId,
                                                    String language)

    - #### getTasksAssignedAsPotentialOwner

          T getTasksAssignedAsPotentialOwner(String userId,
                                             String language)

    - #### getTasksAssignedAsPotentialOwnerByStatus

          T getTasksAssignedAsPotentialOwnerByStatus(String userId,
                                                     List<org.kie.api.task.model.Status> status,
                                                     String language)

    - #### getTasksOwned

          T getTasksOwned(String userId,
                          String language)

    - #### getTasksOwnedByStatus

          T getTasksOwnedByStatus(String userId,
                                  List<org.kie.api.task.model.Status> status,
                                  String language)

    - #### getTasksByStatusByProcessInstanceId

          T getTasksByStatusByProcessInstanceId(long processInstanceId,
                                                List<org.kie.api.task.model.Status> status,
                                                String language)

    - #### getTasksByProcessInstanceId

          T getTasksByProcessInstanceId(long processInstanceId)

    - #### addTask

          T addTask(org.kie.api.task.model.Task task,
                    Map<String,Object> params)

    - #### release

          T release(long taskId,
                    String userId)

    - #### resume

          T resume(long taskId,
                   String userId)

    - #### skip

          T skip(long taskId,
                 String userId)

    - #### start

          T start(long taskId,
                  String userId)

    - #### stop

          T stop(long taskId,
                 String userId)

    - #### suspend

          T suspend(long taskId,
                    String userId)

    - #### nominate

          T nominate(long taskId,
                     String userId,
                     List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)

    - #### getContentById

          T getContentById(long contentId)

    - #### getAttachmentById

          T getAttachmentById(long attachId)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.